
Vagrant.configure("2") do |config|
  config.vm.box = "sinch-box"

  ssh_key = "kevin.wentling"
  instance_name = "kevwen-vagrant-bastion"


  config.vm.define :awsinstance do |awsi|
    config.vm.provider :aws do |aws, override|

      # Reads in ~/.aws by default
      aws.aws_profile = "staging"

      # Region must be specified here since it is no longer read from environment variables
      aws.region = "eu-west-1"
      aws.keypair_name = ssh_key
      aws.ami = "ami-05ed0eb5dbebe2849"
      aws.instance_type = "t3.small"
      aws.subnet_id = "subnet-5bcf7202"
      aws.security_groups = ["sg-07cba7812be2a7a13"]
      aws.terminate_on_shutdown = FALSE
      aws.tags = {
        "Name": instance_name,
        "cg_env": "staging",
        "cg_iac": "vagrant"
      }


      aws.block_device_mapping = [
        {
          'DeviceName' => "/dev/sda1",
          'VirtualName' => instance_name,
          'Ebs.VolumeSize' => 60,
          'Ebs.DeleteOnTermination' => true,
          'Ebs.VolumeType' => 'gp2'
        }
      ]

      override.ssh.username = "centos"
      override.ssh.private_key_path = "~/.ssh/#{ssh_key}.pem"
    end

    config.vm.provision "shell",
      inline: "hostnamectl set-hostname #{instance_name}.clxnetworks.int; yum clean all && yum install ansible python36 -y && ansible-playbook /vagrant/playbook.yml -i /vagrant/localhost"

    config.vm.synced_folder ".", "/vagrant", type: "rsync", rsync_auto: true, disabled: false

  end
  config.ssh.forward_agent = false

end
